Die Fibel für neue Mitarbeiter des FreeBSD-Dokumentationsprojekts
Zurück | Anhang A. Beispiele |

# A.3. Ausgabeformate erzeugen

Für diesen Abschnitt wird vorausgesetzt, dass die im Port `textproc/docproj` enthaltene Software manuell oder über das Portssystem installiert wurde. Weiter wird vorausgesetzt, dass alle Programme unterhalb des Verzeichnisses `/usr/local` installiert worden sind und die Verzeichnisse, die die ausführbaren Programme enthalten, in der Variable `PATH` enthalten sind.

## A.3.1. Benutzung von Jade

Beispiel A-3. Ein DocBook-Dokument in eine einzelne HTML-Datei umwandeln

    % jade -V nochunks \
    -c /usr/local/share/sgml/docbook/dsssl/modular/catalog \
    -c /usr/local/share/sgml/docbook/catalog \
    -c /usr/local/share/sgml/jade/catalog \
    -d /usr/local/share/sgml/docbook/dsssl/modular/html/docbook.dsl \
    -t sgml  datei.sgml > datei.html

  Übergibt den Parameter `nochunks` an die Stylesheets. Dadurch wird die gesamte Ausgabe in die Standardausgabe geschrieben (bei der Benutzung von Norm Walshs Stylesheets).
  Legt die von Jade zur Verarbeitung benötigten drei Kataloge fest. Der erste Katalog enthält Informationen zu den DSSSL-Stylesheets, der zweite zur DocBook DTD und der dritte Jade-spezifische Informationen.
  Übergibt den vollen Pfad zum DSSSL-Stylesheet, das von Jade zur Verarbeitung des Dokuments benutzt wird.
  Weist Jade an, eine Transformation von einer DTD zu einer anderen DTD vorzunehmen. In diesem Falle, von der DocBook DTD zur HTML DTD.
  Legt fest, welche Datei Jade verarbeiten soll und leitet die Ausgabe in die Datei `datei.html` um.

Beispiel A-4. Ein DocBook-Dokument in mehrere kleine HTML-Dateien umwandeln

    % jade \
    -c /usr/local/share/sgml/docbook/dsssl/modular/catalog \
    -c /usr/local/share/sgml/docbook/catalog \
    -c /usr/local/share/sgml/jade/catalog \
    -d /usr/local/share/sgml/docbook/dsssl/modular/html/docbook.dsl \
    -t sgml  datei.sgml

  Legt die von Jade zur Verarbeitung benötigten drei Kataloge fest. Der erste Katalog enthält Informationen zu den DSSSL-Stylesheets, der zweite zur DocBook DTD und der dritte Jade-spezifische Informationen.
  Übergibt den vollen Pfad zum DSSSL-Stylesheet, das von Jade zur Verarbeitung des Dokuments benutzt wird.
  Weist Jade an, eine Transformation von einer DTD zu einer anderen DTD vorzunehmen. In diesem Falle, von der DocBook DTD zur HTML DTD.
  Legt die zu verarbeitende Datei fest. Die Stylesheets ermitteln eigenständig die Namen aller HTML-Ausgabedateien.

Abhängig von der Struktur des zu verarbeitenden Dokumentes und den Stylesheetregeln zur Aufteilung des Dokumentes, kann dieser Befehl auch nur eine einzelne HTML-Datei erzeugen.

Beispiel A-5. Ein DocBook-Dokument nach Postscript umwandeln

Um eine Postscript-Ausgabe zu erzeugen, muss zuerst die SGML-Quelle in eine TeX-Datei umgewandelt werden.

    % jade -V tex-backend \
        -c /usr/local/share/sgml/docbook/dsssl/modular/catalog \
        -c /usr/local/share/sgml/docbook/catalog \
        -c /usr/local/share/sgml/jade/catalog \
        -d /usr/local/share/sgml/docbook/dsssl/modular/print/docbook.dsl \
        -t tex  datei.sgml

  Weist die Stylesheets an, verschiedene TeX-spezifische Optionen zu benutzen.
  Legt die von Jade zur Verarbeitung benötigten drei Kataloge fest. Der erste Katalog enthält Informationen zu den DSSSL-Stylesheets, der zweite zur DocBook DTD und der dritte Jade-spezifische Informationen.
  Übergibt den vollen Pfad zum DSSSL-Stylesheet, das von Jade zur Verarbeitung des Dokuments benutzt wird.
  Weist Jade an, die Ausgabe in eine TeX-Datei umzuwandeln.

Die so erzeugte `.tex`-Datei muss anschließend mittels `tex`, unter Angabe des Makropakets `&jadetex` weiterverarbeitet werden.

    % tex "&jadetex" datei.tex

`tex` muss mindestens dreimal ausgeführt werden. Der erste Lauf ermittelt die die Querverweise innerhalb des Dokumentes, die für Stichwortverzeichnisse und ähnliches benötigt werden.

Warnungen, wie `LaTeX Warning: Reference `136' on page 5 undefined on input line 728.`, die zu diesem Zeitpunkt ausgegeben werden, können ohne weiteres ignoriert werden.

Der zweite Lauf kann jetzt, da mehr Informationen, wie zum Beispiel die Seitenlängen, zur Verfügung stehen, Einträge im Stichwortverzeichnis und Querverweise genauer bestimmen.

Der dritte Lauf ist für abschließende Aufräumarbeiten notwendig. Die so von `tex` erzeugte Ausgabe befindet sich anschließend in der Datei ``datei`.div`.

Zum Schluss muss noch `dvips` aufgerufen werden, um die `.div`-Datei in ein Postscript-Dokument umzuwandeln.

    % dvips -o datei.ps datei.dvi

Beispiel A-6. Eine PDF-Datei aus einem DocBook-Dokument erzeugen

Die ersten Schritte, um ein DocBook-Dokument in ein PDF umzuwandeln, stimmen mit denen überein, die notwendig sind, um eine Postscript-Ausgabe zu erzeugen (Beispiel A-5).

Nachdem die `.tex`-Datei durch Jade erzeugt wurde, muss pdfTeX stattdessen mit dem Makropaket `&pdfjadetex` aufgerufen werden.

    % pdftex "&pdfjadetex" datei.tex

Dieser Befehl muss ebenfalls dreimal ausgeführt werden. Am Ende liegt mit ``datei`.pdf` das fertige PDF-Dokument vor. Weitere Schritte sind jetzt nicht mehr notwendig.

Zurück | Zum Anfang |
DocBook-Artikel (`<article>`) | Nach oben |

Wenn Sie Fragen zu FreeBSD haben, schicken Sie eine E-Mail an <de-bsd-questions@de.FreeBSD.org>.
Wenn Sie Fragen zu dieser Dokumentation haben, schicken Sie eine E-Mail an <de-bsd-translators@de.FreeBSD.org>.